<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer0Defs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer0_defs_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmTimer0Defs.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Common definitions for Timers. <a class="el" href="km_timer0_defs_8h.html" title="Common definitions for Timers. kmTimer0Defs.h.">kmTimer0Defs.h</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
<code>#include &quot;../kmCpu/kmCpuDefs.h&quot;</code><br />
</div>
<p><a href="km_timer0_defs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a1790739c5da129d8cffc87fccb82622d" id="r_a1790739c5da129d8cffc87fccb82622d"><td class="memItemLeft" align="right" valign="top"><a id="a1790739c5da129d8cffc87fccb82622d" name="a1790739c5da129d8cffc87fccb82622d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_AVR_LAYOUT_100</b></td></tr>
<tr class="separator:a1790739c5da129d8cffc87fccb82622d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c10be98c48ea22bb1512f3b2889e3a" id="r_ad5c10be98c48ea22bb1512f3b2889e3a"><td class="memItemLeft" align="right" valign="top"><a id="ad5c10be98c48ea22bb1512f3b2889e3a" name="ad5c10be98c48ea22bb1512f3b2889e3a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER0_BOTTOM</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a6a4c8cf84fb8cc96685de933f429df9c">KM_TCC_BOTOM</a></td></tr>
<tr class="memdesc:ad5c10be98c48ea22bb1512f3b2889e3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines bottom value for Timer0. <br /></td></tr>
<tr class="separator:ad5c10be98c48ea22bb1512f3b2889e3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15726fb1889dcd7c072284b8311168af" id="r_a15726fb1889dcd7c072284b8311168af"><td class="memItemLeft" align="right" valign="top"><a id="a15726fb1889dcd7c072284b8311168af" name="a15726fb1889dcd7c072284b8311168af"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER0_MAX</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#ac3e5a65645a34d1b863e5d5edb18cda3">KM_TCC_TOP_1</a></td></tr>
<tr class="memdesc:a15726fb1889dcd7c072284b8311168af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines top value for Timer0. <br /></td></tr>
<tr class="separator:a15726fb1889dcd7c072284b8311168af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbfa01ccc630eaec70294a7ab95f3ff0" id="r_adbfa01ccc630eaec70294a7ab95f3ff0"><td class="memItemLeft" align="right" valign="top"><a id="adbfa01ccc630eaec70294a7ab95f3ff0" name="adbfa01ccc630eaec70294a7ab95f3ff0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER0_MID</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a787e6777dd5a2b4e498d603d30c23bf9">KM_TCC_MID_1</a></td></tr>
<tr class="memdesc:adbfa01ccc630eaec70294a7ab95f3ff0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines mid value for Timer0. <br /></td></tr>
<tr class="separator:adbfa01ccc630eaec70294a7ab95f3ff0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9890e5ec83b5ded2e8045eb0cb7078e" id="r_ac9890e5ec83b5ded2e8045eb0cb7078e"><td class="memItemLeft" align="right" valign="top"><a id="ac9890e5ec83b5ded2e8045eb0cb7078e" name="ac9890e5ec83b5ded2e8045eb0cb7078e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_STOP</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED			)</td></tr>
<tr class="memdesc:ac9890e5ec83b5ded2e8045eb0cb7078e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer0 - Disabled. <br /></td></tr>
<tr class="separator:ac9890e5ec83b5ded2e8045eb0cb7078e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee177806393889a6fe4eb4221b6c1659" id="r_aee177806393889a6fe4eb4221b6c1659"><td class="memItemLeft" align="right" valign="top"><a id="aee177806393889a6fe4eb4221b6c1659" name="aee177806393889a6fe4eb4221b6c1659"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PRSC_1</b>&#160;&#160;&#160;(						_BV(CS00))</td></tr>
<tr class="memdesc:aee177806393889a6fe4eb4221b6c1659"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer0 - Prescaler 1 / 1. <br /></td></tr>
<tr class="separator:aee177806393889a6fe4eb4221b6c1659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f6b1edf9ade621c8e9f2f824918dca7" id="r_a8f6b1edf9ade621c8e9f2f824918dca7"><td class="memItemLeft" align="right" valign="top"><a id="a8f6b1edf9ade621c8e9f2f824918dca7" name="a8f6b1edf9ade621c8e9f2f824918dca7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PRSC_8</b>&#160;&#160;&#160;(			_BV(CS01)			)</td></tr>
<tr class="memdesc:a8f6b1edf9ade621c8e9f2f824918dca7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer0 - Prescaler 1 / 8 <br  />
 <br /></td></tr>
<tr class="separator:a8f6b1edf9ade621c8e9f2f824918dca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc1a90e186f704f9676d99637944209" id="r_a7bc1a90e186f704f9676d99637944209"><td class="memItemLeft" align="right" valign="top"><a id="a7bc1a90e186f704f9676d99637944209" name="a7bc1a90e186f704f9676d99637944209"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PRSC_64</b>&#160;&#160;&#160;(			_BV(CS01) |	_BV(CS00))</td></tr>
<tr class="memdesc:a7bc1a90e186f704f9676d99637944209"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer0 - Prescaler 1 / 64. <br /></td></tr>
<tr class="separator:a7bc1a90e186f704f9676d99637944209"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43580016f729999bfaefeb721b9757ca" id="r_a43580016f729999bfaefeb721b9757ca"><td class="memItemLeft" align="right" valign="top"><a id="a43580016f729999bfaefeb721b9757ca" name="a43580016f729999bfaefeb721b9757ca"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PRSC_256</b>&#160;&#160;&#160;(_BV(CS02)						)</td></tr>
<tr class="memdesc:a43580016f729999bfaefeb721b9757ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer0 - Prescaler 1 / 256. <br /></td></tr>
<tr class="separator:a43580016f729999bfaefeb721b9757ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed89b0c07651351d4bd6f8343a135cf2" id="r_aed89b0c07651351d4bd6f8343a135cf2"><td class="memItemLeft" align="right" valign="top"><a id="aed89b0c07651351d4bd6f8343a135cf2" name="aed89b0c07651351d4bd6f8343a135cf2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PRSC_1024</b>&#160;&#160;&#160;(_BV(CS02) |			_BV(CS00))</td></tr>
<tr class="memdesc:aed89b0c07651351d4bd6f8343a135cf2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer0 - Prescaler 1 / 1024. <br /></td></tr>
<tr class="separator:aed89b0c07651351d4bd6f8343a135cf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7884c9bc07d93e6ce6324027a91683a" id="r_ae7884c9bc07d93e6ce6324027a91683a"><td class="memItemLeft" align="right" valign="top"><a id="ae7884c9bc07d93e6ce6324027a91683a" name="ae7884c9bc07d93e6ce6324027a91683a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_EXT_T0_FAL</b>&#160;&#160;&#160;(_BV(CS02) |_BV(CS01)			)</td></tr>
<tr class="memdesc:ae7884c9bc07d93e6ce6324027a91683a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer0 - Enabled on falling signal on T0. <br /></td></tr>
<tr class="separator:ae7884c9bc07d93e6ce6324027a91683a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19887584c6a4a40e202164e28e2d79a7" id="r_a19887584c6a4a40e202164e28e2d79a7"><td class="memItemLeft" align="right" valign="top"><a id="a19887584c6a4a40e202164e28e2d79a7" name="a19887584c6a4a40e202164e28e2d79a7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_EXT_T0_RIS</b>&#160;&#160;&#160;(_BV(CS02) |_BV(CS01) |	_BV(CS00))</td></tr>
<tr class="memdesc:a19887584c6a4a40e202164e28e2d79a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer0 - Enabled on rising signal on T0. <br /></td></tr>
<tr class="separator:a19887584c6a4a40e202164e28e2d79a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab65ec0f852ee5377ae7077ef9c9f19f9" id="r_ab65ec0f852ee5377ae7077ef9c9f19f9"><td class="memItemLeft" align="right" valign="top"><a id="ab65ec0f852ee5377ae7077ef9c9f19f9" name="ab65ec0f852ee5377ae7077ef9c9f19f9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_CS_MASK</b>&#160;&#160;&#160;<a class="el" href="#a19887584c6a4a40e202164e28e2d79a7">KM_TCC0_EXT_T0_RIS</a></td></tr>
<tr class="memdesc:ab65ec0f852ee5377ae7077ef9c9f19f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prescaler mask for Timer0 (helps to clear prescaler) <br /></td></tr>
<tr class="separator:ab65ec0f852ee5377ae7077ef9c9f19f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad92dca9c7e886afe1bc56a6350d9c82f" id="r_ad92dca9c7e886afe1bc56a6350d9c82f"><td class="memItemLeft" align="right" valign="top"><a id="ad92dca9c7e886afe1bc56a6350d9c82f" name="ad92dca9c7e886afe1bc56a6350d9c82f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_0_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ad92dca9c7e886afe1bc56a6350d9c82f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 0 (reg. A) - Normal top value 0xFF. <br /></td></tr>
<tr class="separator:ad92dca9c7e886afe1bc56a6350d9c82f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad357217ee95266e15d7c1a03bcaa4834" id="r_ad357217ee95266e15d7c1a03bcaa4834"><td class="memItemLeft" align="right" valign="top"><a id="ad357217ee95266e15d7c1a03bcaa4834" name="ad357217ee95266e15d7c1a03bcaa4834"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_0_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ad357217ee95266e15d7c1a03bcaa4834"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 0 (reg. B) <br /></td></tr>
<tr class="separator:ad357217ee95266e15d7c1a03bcaa4834"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ba8d0c7e9ac8f048788a2c531c5efe1" id="r_a5ba8d0c7e9ac8f048788a2c531c5efe1"><td class="memItemLeft" align="right" valign="top"><a id="a5ba8d0c7e9ac8f048788a2c531c5efe1" name="a5ba8d0c7e9ac8f048788a2c531c5efe1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_1_A</b>&#160;&#160;&#160;(												_BV(WGM00)	)</td></tr>
<tr class="memdesc:a5ba8d0c7e9ac8f048788a2c531c5efe1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 1 (reg. A) - PWM, Phase Correct, 8-bit top value 0xFF. <br /></td></tr>
<tr class="separator:a5ba8d0c7e9ac8f048788a2c531c5efe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a054fc08bbfdeec2a233fa949aa8fbd" id="r_a4a054fc08bbfdeec2a233fa949aa8fbd"><td class="memItemLeft" align="right" valign="top"><a id="a4a054fc08bbfdeec2a233fa949aa8fbd" name="a4a054fc08bbfdeec2a233fa949aa8fbd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_1_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a4a054fc08bbfdeec2a233fa949aa8fbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 1 (reg. B) <br /></td></tr>
<tr class="separator:a4a054fc08bbfdeec2a233fa949aa8fbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae954bc70c1e10a0a083c48cbf144f582" id="r_ae954bc70c1e10a0a083c48cbf144f582"><td class="memItemLeft" align="right" valign="top"><a id="ae954bc70c1e10a0a083c48cbf144f582" name="ae954bc70c1e10a0a083c48cbf144f582"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_2_A</b>&#160;&#160;&#160;(								_BV(WGM01)					)</td></tr>
<tr class="memdesc:ae954bc70c1e10a0a083c48cbf144f582"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 2 (reg. A) - CTC with OCR0A as top. <br /></td></tr>
<tr class="separator:ae954bc70c1e10a0a083c48cbf144f582"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a666476ab8e7b088dbf96d949ec0e9e7c" id="r_a666476ab8e7b088dbf96d949ec0e9e7c"><td class="memItemLeft" align="right" valign="top"><a id="a666476ab8e7b088dbf96d949ec0e9e7c" name="a666476ab8e7b088dbf96d949ec0e9e7c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_2_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a666476ab8e7b088dbf96d949ec0e9e7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 2 (reg. B) <br /></td></tr>
<tr class="separator:a666476ab8e7b088dbf96d949ec0e9e7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac44cac010fd20cef3cf0883fff65f0bf" id="r_ac44cac010fd20cef3cf0883fff65f0bf"><td class="memItemLeft" align="right" valign="top"><a id="ac44cac010fd20cef3cf0883fff65f0bf" name="ac44cac010fd20cef3cf0883fff65f0bf"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_3_A</b>&#160;&#160;&#160;(								_BV(WGM01) |	_BV(WGM00)	)</td></tr>
<tr class="memdesc:ac44cac010fd20cef3cf0883fff65f0bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 3 (reg. A) - Fast PWM, top value 0xFF. <br /></td></tr>
<tr class="separator:ac44cac010fd20cef3cf0883fff65f0bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7190769e61256dab91cfa97a1a8663b" id="r_ac7190769e61256dab91cfa97a1a8663b"><td class="memItemLeft" align="right" valign="top"><a id="ac7190769e61256dab91cfa97a1a8663b" name="ac7190769e61256dab91cfa97a1a8663b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_3_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ac7190769e61256dab91cfa97a1a8663b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 3 (reg. B) <br /></td></tr>
<tr class="separator:ac7190769e61256dab91cfa97a1a8663b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99ec69f108143bfd5d74a5830ee25688" id="r_a99ec69f108143bfd5d74a5830ee25688"><td class="memItemLeft" align="right" valign="top"><a id="a99ec69f108143bfd5d74a5830ee25688" name="a99ec69f108143bfd5d74a5830ee25688"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_4_RESERVED</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:a99ec69f108143bfd5d74a5830ee25688"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 4 - RESERVED. <br /></td></tr>
<tr class="separator:a99ec69f108143bfd5d74a5830ee25688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29df7e9ed629a513847d0065c7b7cab8" id="r_a29df7e9ed629a513847d0065c7b7cab8"><td class="memItemLeft" align="right" valign="top"><a id="a29df7e9ed629a513847d0065c7b7cab8" name="a29df7e9ed629a513847d0065c7b7cab8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_5_A</b>&#160;&#160;&#160;(												_BV(WGM00)	)</td></tr>
<tr class="memdesc:a29df7e9ed629a513847d0065c7b7cab8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 5 (reg. A) - PWM, Phase Correct with OCR0A as top. <br /></td></tr>
<tr class="separator:a29df7e9ed629a513847d0065c7b7cab8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b20357933f9aa0bc3f4f7a743516ac" id="r_ae2b20357933f9aa0bc3f4f7a743516ac"><td class="memItemLeft" align="right" valign="top"><a id="ae2b20357933f9aa0bc3f4f7a743516ac" name="ae2b20357933f9aa0bc3f4f7a743516ac"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_5_B</b>&#160;&#160;&#160;(				_BV(WGM02)									)</td></tr>
<tr class="memdesc:ae2b20357933f9aa0bc3f4f7a743516ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 5 (reg. B) <br /></td></tr>
<tr class="separator:ae2b20357933f9aa0bc3f4f7a743516ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c773c6d23d79a2ad51b583fc7bc5481" id="r_a1c773c6d23d79a2ad51b583fc7bc5481"><td class="memItemLeft" align="right" valign="top"><a id="a1c773c6d23d79a2ad51b583fc7bc5481" name="a1c773c6d23d79a2ad51b583fc7bc5481"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_6_RESERVED</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:a1c773c6d23d79a2ad51b583fc7bc5481"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 6 - RESERVED. <br /></td></tr>
<tr class="separator:a1c773c6d23d79a2ad51b583fc7bc5481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad618ab7b71aab3219f052fe50d3ce63e" id="r_ad618ab7b71aab3219f052fe50d3ce63e"><td class="memItemLeft" align="right" valign="top"><a id="ad618ab7b71aab3219f052fe50d3ce63e" name="ad618ab7b71aab3219f052fe50d3ce63e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_7_A</b>&#160;&#160;&#160;(								_BV(WGM01) |	_BV(WGM00)	)</td></tr>
<tr class="memdesc:ad618ab7b71aab3219f052fe50d3ce63e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 7 (reg. A) - Fast PWM with OCR0A as top. <br /></td></tr>
<tr class="separator:ad618ab7b71aab3219f052fe50d3ce63e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeec8f10ebb1aa0178f66a4e18db56a7b" id="r_aeec8f10ebb1aa0178f66a4e18db56a7b"><td class="memItemLeft" align="right" valign="top"><a id="aeec8f10ebb1aa0178f66a4e18db56a7b" name="aeec8f10ebb1aa0178f66a4e18db56a7b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_7_B</b>&#160;&#160;&#160;(				_BV(WGM02)									)</td></tr>
<tr class="memdesc:aeec8f10ebb1aa0178f66a4e18db56a7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer0 mode 7 (reg. B) <br /></td></tr>
<tr class="separator:aeec8f10ebb1aa0178f66a4e18db56a7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a448b34508b192bfab31547e77db8a84c" id="r_a448b34508b192bfab31547e77db8a84c"><td class="memItemLeft" align="right" valign="top"><a id="a448b34508b192bfab31547e77db8a84c" name="a448b34508b192bfab31547e77db8a84c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_MASK_A</b>&#160;&#160;&#160;<a class="el" href="#ad618ab7b71aab3219f052fe50d3ce63e">KM_TCC0_MODE_7_A</a></td></tr>
<tr class="memdesc:a448b34508b192bfab31547e77db8a84c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer0 (reg. A) (helps to clear mode) <br /></td></tr>
<tr class="separator:a448b34508b192bfab31547e77db8a84c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86abb56593ab7cadb1a1eeb4a4ceaf26" id="r_a86abb56593ab7cadb1a1eeb4a4ceaf26"><td class="memItemLeft" align="right" valign="top"><a id="a86abb56593ab7cadb1a1eeb4a4ceaf26" name="a86abb56593ab7cadb1a1eeb4a4ceaf26"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_MODE_MASK_B</b>&#160;&#160;&#160;<a class="el" href="#aeec8f10ebb1aa0178f66a4e18db56a7b">KM_TCC0_MODE_7_B</a></td></tr>
<tr class="memdesc:a86abb56593ab7cadb1a1eeb4a4ceaf26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer0 (reg. B) <br /></td></tr>
<tr class="separator:a86abb56593ab7cadb1a1eeb4a4ceaf26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5a6f668d057fae0d1c2e670607ff808" id="r_af5a6f668d057fae0d1c2e670607ff808"><td class="memItemLeft" align="right" valign="top"><a id="af5a6f668d057fae0d1c2e670607ff808" name="af5a6f668d057fae0d1c2e670607ff808"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_A_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:af5a6f668d057fae0d1c2e670607ff808"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:af5a6f668d057fae0d1c2e670607ff808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9343f3d5d045d854adc39c690b389288" id="r_a9343f3d5d045d854adc39c690b389288"><td class="memItemLeft" align="right" valign="top"><a id="a9343f3d5d045d854adc39c690b389288" name="a9343f3d5d045d854adc39c690b389288"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_A_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM0A0)	)</td></tr>
<tr class="memdesc:a9343f3d5d045d854adc39c690b389288"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1A on compare match. <br /></td></tr>
<tr class="separator:a9343f3d5d045d854adc39c690b389288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94e6ae0ecca9ce6b1de6c4eb1f01792b" id="r_a94e6ae0ecca9ce6b1de6c4eb1f01792b"><td class="memItemLeft" align="right" valign="top"><a id="a94e6ae0ecca9ce6b1de6c4eb1f01792b" name="a94e6ae0ecca9ce6b1de6c4eb1f01792b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_A_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM0A1)				)</td></tr>
<tr class="memdesc:a94e6ae0ecca9ce6b1de6c4eb1f01792b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1A on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a94e6ae0ecca9ce6b1de6c4eb1f01792b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66bdf48af4d17ee84b3e9f2466b06195" id="r_a66bdf48af4d17ee84b3e9f2466b06195"><td class="memItemLeft" align="right" valign="top"><a id="a66bdf48af4d17ee84b3e9f2466b06195" name="a66bdf48af4d17ee84b3e9f2466b06195"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_A_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM0A1) |	_BV(COM0A0)	)</td></tr>
<tr class="memdesc:a66bdf48af4d17ee84b3e9f2466b06195"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1A on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a66bdf48af4d17ee84b3e9f2466b06195"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a410422a57511ec021f89e848056a68ed" id="r_a410422a57511ec021f89e848056a68ed"><td class="memItemLeft" align="right" valign="top"><a id="a410422a57511ec021f89e848056a68ed" name="a410422a57511ec021f89e848056a68ed"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_COMA_MASK</b>&#160;&#160;&#160;<a class="el" href="#a66bdf48af4d17ee84b3e9f2466b06195">KM_TCC0_A_COMP_OUT_SET</a></td></tr>
<tr class="memdesc:a410422a57511ec021f89e848056a68ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">COM_A mask for Timer0 (helps to clear COM_A) <br /></td></tr>
<tr class="separator:a410422a57511ec021f89e848056a68ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a437767042921908f7ed744e5170bc12a" id="r_a437767042921908f7ed744e5170bc12a"><td class="memItemLeft" align="right" valign="top"><a id="a437767042921908f7ed744e5170bc12a" name="a437767042921908f7ed744e5170bc12a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_A_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a437767042921908f7ed744e5170bc12a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC0A disconnected. <br /></td></tr>
<tr class="separator:a437767042921908f7ed744e5170bc12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5440ca015824112236e1ac2bc297437" id="r_ab5440ca015824112236e1ac2bc297437"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab5440ca015824112236e1ac2bc297437">KM_TCC0_A_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM0A0)	)</td></tr>
<tr class="separator:ab5440ca015824112236e1ac2bc297437"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9b66b5f9cf6c12fd6504df0dc5d7b52" id="r_aa9b66b5f9cf6c12fd6504df0dc5d7b52"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa9b66b5f9cf6c12fd6504df0dc5d7b52">KM_TCC0_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM0A1)				)</td></tr>
<tr class="separator:aa9b66b5f9cf6c12fd6504df0dc5d7b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5314e25cd3b5e70a55ad443817627f0" id="r_ac5314e25cd3b5e70a55ad443817627f0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac5314e25cd3b5e70a55ad443817627f0">KM_TCC0_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM0A1) |	_BV(COM0A0)	)</td></tr>
<tr class="separator:ac5314e25cd3b5e70a55ad443817627f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d86214b9f25c7231dc1556cfc5cd5f3" id="r_a8d86214b9f25c7231dc1556cfc5cd5f3"><td class="memItemLeft" align="right" valign="top"><a id="a8d86214b9f25c7231dc1556cfc5cd5f3" name="a8d86214b9f25c7231dc1556cfc5cd5f3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_B_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a8d86214b9f25c7231dc1556cfc5cd5f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:a8d86214b9f25c7231dc1556cfc5cd5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dbc97d41615967b41010f146bb31708" id="r_a2dbc97d41615967b41010f146bb31708"><td class="memItemLeft" align="right" valign="top"><a id="a2dbc97d41615967b41010f146bb31708" name="a2dbc97d41615967b41010f146bb31708"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_B_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM0B0)	)</td></tr>
<tr class="memdesc:a2dbc97d41615967b41010f146bb31708"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC0B on compare match. <br /></td></tr>
<tr class="separator:a2dbc97d41615967b41010f146bb31708"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f0175a968b59fcc139c92a644194332" id="r_a2f0175a968b59fcc139c92a644194332"><td class="memItemLeft" align="right" valign="top"><a id="a2f0175a968b59fcc139c92a644194332" name="a2f0175a968b59fcc139c92a644194332"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_B_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM0B1)				)</td></tr>
<tr class="memdesc:a2f0175a968b59fcc139c92a644194332"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC0B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a2f0175a968b59fcc139c92a644194332"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae31f1082d45d33f80835c37d9a0d6b3f" id="r_ae31f1082d45d33f80835c37d9a0d6b3f"><td class="memItemLeft" align="right" valign="top"><a id="ae31f1082d45d33f80835c37d9a0d6b3f" name="ae31f1082d45d33f80835c37d9a0d6b3f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_B_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM0B1) |	_BV(COM0B0)	)</td></tr>
<tr class="memdesc:ae31f1082d45d33f80835c37d9a0d6b3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC0B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:ae31f1082d45d33f80835c37d9a0d6b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225d49dee604c3c93f5b559255e0d782" id="r_a225d49dee604c3c93f5b559255e0d782"><td class="memItemLeft" align="right" valign="top"><a id="a225d49dee604c3c93f5b559255e0d782" name="a225d49dee604c3c93f5b559255e0d782"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_COMB_MASK</b>&#160;&#160;&#160;<a class="el" href="#ae31f1082d45d33f80835c37d9a0d6b3f">KM_TCC0_B_COMP_OUT_SET</a></td></tr>
<tr class="memdesc:a225d49dee604c3c93f5b559255e0d782"><td class="mdescLeft">&#160;</td><td class="mdescRight">COM_B mask for Timer0 (helps to clear COM_B) <br /></td></tr>
<tr class="separator:a225d49dee604c3c93f5b559255e0d782"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6cff161c23eba4f0f75c936dc8c2661" id="r_ac6cff161c23eba4f0f75c936dc8c2661"><td class="memItemLeft" align="right" valign="top"><a id="ac6cff161c23eba4f0f75c936dc8c2661" name="ac6cff161c23eba4f0f75c936dc8c2661"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_B_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:ac6cff161c23eba4f0f75c936dc8c2661"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC0B disconnected. <br /></td></tr>
<tr class="separator:ac6cff161c23eba4f0f75c936dc8c2661"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4cd896756c82a28688e477cd1760c60" id="r_ab4cd896756c82a28688e477cd1760c60"><td class="memItemLeft" align="right" valign="top"><a id="ab4cd896756c82a28688e477cd1760c60" name="ab4cd896756c82a28688e477cd1760c60"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_B_PWM_COMP_OUT_RESERVED</b>&#160;&#160;&#160;(				_BV(COM0B0)	)</td></tr>
<tr class="memdesc:ab4cd896756c82a28688e477cd1760c60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserver. <br /></td></tr>
<tr class="separator:ab4cd896756c82a28688e477cd1760c60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc0de58f38dc70883cc206f4116cedd" id="r_a0dc0de58f38dc70883cc206f4116cedd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0dc0de58f38dc70883cc206f4116cedd">KM_TCC0_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM0B1)				)</td></tr>
<tr class="separator:a0dc0de58f38dc70883cc206f4116cedd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17d78032f3222826e61dc6d6862dfb57" id="r_a17d78032f3222826e61dc6d6862dfb57"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a17d78032f3222826e61dc6d6862dfb57">KM_TCC0_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM0B1) |	_BV(COM0B0)	)</td></tr>
<tr class="separator:a17d78032f3222826e61dc6d6862dfb57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a652736e0701de1338586e44b1032d892" id="r_a652736e0701de1338586e44b1032d892"><td class="memItemLeft" align="right" valign="top"><a id="a652736e0701de1338586e44b1032d892" name="a652736e0701de1338586e44b1032d892"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_INT_MASK_REG</b>&#160;&#160;&#160;TIMSK1</td></tr>
<tr class="memdesc:a652736e0701de1338586e44b1032d892"><td class="mdescLeft">&#160;</td><td class="mdescRight">Universal definition of Interrupt Mask Register allowing to use common code base for old AVR MCUs. <br /></td></tr>
<tr class="separator:a652736e0701de1338586e44b1032d892"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56873386a28f049a3ef8448cbd1639af" id="r_a56873386a28f049a3ef8448cbd1639af"><td class="memItemLeft" align="right" valign="top"><a id="a56873386a28f049a3ef8448cbd1639af" name="a56873386a28f049a3ef8448cbd1639af"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PWM_DDR</b>&#160;&#160;&#160;DDRB</td></tr>
<tr class="memdesc:a56873386a28f049a3ef8448cbd1639af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Direction register o Timer0 PWM outputs. <br /></td></tr>
<tr class="separator:a56873386a28f049a3ef8448cbd1639af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aace678e2de419df2454825de64f2a542" id="r_aace678e2de419df2454825de64f2a542"><td class="memItemLeft" align="right" valign="top"><a id="aace678e2de419df2454825de64f2a542" name="aace678e2de419df2454825de64f2a542"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PWM_DDR_OCB</b>&#160;&#160;&#160;DDRG</td></tr>
<tr class="separator:aace678e2de419df2454825de64f2a542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19c7b09f5810fad2ebee35192f78ed80" id="r_a19c7b09f5810fad2ebee35192f78ed80"><td class="memItemLeft" align="right" valign="top"><a id="a19c7b09f5810fad2ebee35192f78ed80" name="a19c7b09f5810fad2ebee35192f78ed80"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PWM_PORT</b>&#160;&#160;&#160;PORTB</td></tr>
<tr class="memdesc:a19c7b09f5810fad2ebee35192f78ed80"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port register of Timer0 PWM outputs. <br /></td></tr>
<tr class="separator:a19c7b09f5810fad2ebee35192f78ed80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07fd7667ce9cc7296235255a77780821" id="r_a07fd7667ce9cc7296235255a77780821"><td class="memItemLeft" align="right" valign="top"><a id="a07fd7667ce9cc7296235255a77780821" name="a07fd7667ce9cc7296235255a77780821"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PWM_PORT_OCB</b>&#160;&#160;&#160;PORTG</td></tr>
<tr class="separator:a07fd7667ce9cc7296235255a77780821"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b76fce11cde05c09c2c991f3f46e38e" id="r_a1b76fce11cde05c09c2c991f3f46e38e"><td class="memItemLeft" align="right" valign="top"><a id="a1b76fce11cde05c09c2c991f3f46e38e" name="a1b76fce11cde05c09c2c991f3f46e38e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PWM_PIN_A</b>&#160;&#160;&#160;PB7</td></tr>
<tr class="memdesc:a1b76fce11cde05c09c2c991f3f46e38e"><td class="mdescLeft">&#160;</td><td class="mdescRight">PWM pin A of Timer0. <br /></td></tr>
<tr class="separator:a1b76fce11cde05c09c2c991f3f46e38e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed750a00b8304d48bcd2d36f3d6afb4f" id="r_aed750a00b8304d48bcd2d36f3d6afb4f"><td class="memItemLeft" align="right" valign="top"><a id="aed750a00b8304d48bcd2d36f3d6afb4f" name="aed750a00b8304d48bcd2d36f3d6afb4f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PWM_PIN_B</b>&#160;&#160;&#160;PG5</td></tr>
<tr class="memdesc:aed750a00b8304d48bcd2d36f3d6afb4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin B of Timer0. <br /></td></tr>
<tr class="separator:aed750a00b8304d48bcd2d36f3d6afb4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c03c53bc40745e9404415fd5a317a39" id="r_a5c03c53bc40745e9404415fd5a317a39"><td class="memItemLeft" align="right" valign="top"><a id="a5c03c53bc40745e9404415fd5a317a39" name="a5c03c53bc40745e9404415fd5a317a39"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_T0_PIN</b>&#160;&#160;&#160;PD7</td></tr>
<tr class="memdesc:a5c03c53bc40745e9404415fd5a317a39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter0 Input Capture Pin. <br /></td></tr>
<tr class="separator:a5c03c53bc40745e9404415fd5a317a39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e24d2b3cf1ca94925c4c5a4b3e7687f" id="r_a1e24d2b3cf1ca94925c4c5a4b3e7687f"><td class="memItemLeft" align="right" valign="top"><a id="a1e24d2b3cf1ca94925c4c5a4b3e7687f" name="a1e24d2b3cf1ca94925c4c5a4b3e7687f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PWM_BV_A</b>&#160;&#160;&#160;_BV(<a class="el" href="#a1b76fce11cde05c09c2c991f3f46e38e">KM_TCC0_PWM_PIN_A</a>)</td></tr>
<tr class="memdesc:a1e24d2b3cf1ca94925c4c5a4b3e7687f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin A of Timer0. <br /></td></tr>
<tr class="separator:a1e24d2b3cf1ca94925c4c5a4b3e7687f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d4c248c7a87e836c3aa9d931e2fb12f" id="r_a6d4c248c7a87e836c3aa9d931e2fb12f"><td class="memItemLeft" align="right" valign="top"><a id="a6d4c248c7a87e836c3aa9d931e2fb12f" name="a6d4c248c7a87e836c3aa9d931e2fb12f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC0_PWM_BV_B</b>&#160;&#160;&#160;_BV(<a class="el" href="#aed750a00b8304d48bcd2d36f3d6afb4f">KM_TCC0_PWM_PIN_B</a>)</td></tr>
<tr class="memdesc:a6d4c248c7a87e836c3aa9d931e2fb12f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin B of Timer0. <br /></td></tr>
<tr class="separator:a6d4c248c7a87e836c3aa9d931e2fb12f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Common definitions for Timers. <a class="el" href="km_timer0_defs_8h.html" title="Common definitions for Timers. kmTimer0Defs.h.">kmTimer0Defs.h</a>. </p>
<p><b>Created on</b>: Aug 10, 2019 <br  />
 <b>Author</b>: Krzysztof Moskwa <br  />
 <b>License</b>: GPL-3.0-or-later <br  />
<br  />
 kmTimersCommon library for AVR MCUs <br  />
 <b>Copyright (C) 2019 Krzysztof Moskwa</b></p>
<p>This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.</p>
<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
<p>You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aa9b66b5f9cf6c12fd6504df0dc5d7b52" name="aa9b66b5f9cf6c12fd6504df0dc5d7b52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9b66b5f9cf6c12fd6504df0dc5d7b52">&#9670;&#160;</a></span>KM_TCC0_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC0_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM0A1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC0A on Compare Match, set OC0A at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC0A on Compare Match when up-counting. Set OC0A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="ac5314e25cd3b5e70a55ad443817627f0" name="ac5314e25cd3b5e70a55ad443817627f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5314e25cd3b5e70a55ad443817627f0">&#9670;&#160;</a></span>KM_TCC0_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC0_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM0A1) |	_BV(COM0A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC0A on Compare Match, clear OC0A at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC0A on Compare Match when up-counting. Clear OC0A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="ab5440ca015824112236e1ac2bc297437" name="ab5440ca015824112236e1ac2bc297437"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5440ca015824112236e1ac2bc297437">&#9670;&#160;</a></span>KM_TCC0_A_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC0_A_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM0A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC0A Disconnected <br  />
WGM02 = 1: Toggle OC0A on Compare Match </p>

</div>
</div>
<a id="a0dc0de58f38dc70883cc206f4116cedd" name="a0dc0de58f38dc70883cc206f4116cedd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dc0de58f38dc70883cc206f4116cedd">&#9670;&#160;</a></span>KM_TCC0_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC0_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM0B1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC0B on Compare Match, set OC0B at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC0B on Compare Match when up-counting. Set OC0B on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a17d78032f3222826e61dc6d6862dfb57" name="a17d78032f3222826e61dc6d6862dfb57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17d78032f3222826e61dc6d6862dfb57">&#9670;&#160;</a></span>KM_TCC0_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC0_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM0B1) |	_BV(COM0B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC0B on Compare Match, clear OC0B at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC0B on Compare Match when up-counting. Clear OC0B on <br  />
Compare Match when down-counting. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer0_defs_8h.html">kmTimer0Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
